## org.apache.batik.dom.util
Class HashTable.Entry

    java.lang.Object
      org.apache.batik.dom.util.HashTable.Entry

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  HashTable

protected static class HashTable.Entry
extends java.lang.Object
implements java.io.Serializable

To manage collisions

See Also:
  Serialized Form

Field Summary
`int` `hash` The hash code
`java.lang.Object` `key` The key
`HashTable.Entry` `next` The next entry
`java.lang.Object` `value` The value

Constructor Summary
`HashTable.Entry(int hash, java.lang.Object key, java.lang.Object value, HashTable.Entry next)` Creates a new entry

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hash

    public int hash

  The hash code

### key

    public java.lang.Object key

  The key

### value

    public java.lang.Object value

  The value

### next

    public HashTable.Entry next

  The next entry

Constructor Detail

### HashTable.Entry

    public HashTable.Entry(int hash,
                           java.lang.Object key,
                           java.lang.Object value,
                           HashTable.Entry next)

  Creates a new entry

Copyright © 2004 Apache Software Foundation. All Rights Reserved.